# Uses of Interface
org.opensaml.saml.saml1.core.Assertion

Packages that use Assertion
Package
Description
org.opensaml.saml.saml1.binding.artifact
Classes that may be used to create and manipulate SAML 1 artifacts.
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml1.profile
Classes for SAML 1.x profile behavior.
org.opensaml.saml.saml1.profile.impl
Implementations of SAML 1.x profile behavior.
org.opensaml.saml.saml1.testing

## Uses of Assertion in org.opensaml.saml.saml1.binding.artifact

Methods in org.opensaml.saml.saml1.binding.artifact with parameters of type Assertion
Modifier and Type
Method
Description
`ArtifactType`
SAML1ArtifactBuilder.`buildArtifact(MessageContext requestContext, Assertion assertion)`
Builds an artifact, for the given assertion, destined for the outbound message recipient.
`SAML1ArtifactType0001`
SAML1ArtifactType0001Builder.`buildArtifact(MessageContext requestContext, Assertion assertion)`
Builds an artifact, for the given assertion, destined for the outbound message recipient.
`SAML1ArtifactType0002`
SAML1ArtifactType0002Builder.`buildArtifact(MessageContext requestContext, Assertion assertion)`
Builds an artifact, for the given assertion, destined for the outbound message recipient.

## Uses of Assertion in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return types with arguments of type Assertion
Modifier and Type
Method
Description
`List<Assertion>`
Advice.`getAssertions()`
Get the Assertions.
`List<Assertion>`
Evidence.`getAssertions()`
Get the list of Assertions.
`List<Assertion>`
Response.`getAssertions()`
Return the objects representing the `Assertion` (element).

## Uses of Assertion in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement Assertion
Modifier and Type
Class
Description
`class`
`AssertionImpl`
This class implements the SAML 1 `Assertion` statement.
Fields in org.opensaml.saml.saml1.core.impl with type parameters of type Assertion
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Assertion>`
ResponseImpl.`assertions`
List of all the Assertions.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type Assertion
Modifier and Type
Method
Description
`List<Assertion>`
AdviceImpl.`getAssertions()`
Get the Assertions.
`List<Assertion>`
EvidenceImpl.`getAssertions()`
Get the list of Assertions.
`List<Assertion>`
ResponseImpl.`getAssertions()`
Return the objects representing the `Assertion` (element).

## Uses of Assertion in org.opensaml.saml.saml1.profile

Methods in org.opensaml.saml.saml1.profile that return Assertion
Modifier and Type
Method
Description
`static Assertion`
SAML1ActionSupport.`addAssertionToResponse(AbstractProfileAction action, Response response, IdentifierGenerationStrategy idGenerator, String issuer)`
Constructs and adds a `Assertion` to the given `Response`.
`static Assertion`
SAML1ActionSupport.`buildAssertion(AbstractProfileAction action, IdentifierGenerationStrategy idGenerator, String issuer)`
Constructs an `Assertion` using the parameters supplied, with its issue instant set to the current time.
Methods in org.opensaml.saml.saml1.profile with parameters of type Assertion
Modifier and Type
Method
Description
`static Conditions`
SAML1ActionSupport.`addConditionsToAssertion(AbstractProfileAction action, Assertion assertion)`
Creates and adds a `Conditions` to a given `Assertion`.

## Uses of Assertion in org.opensaml.saml.saml1.profile.impl

Fields in org.opensaml.saml.saml1.profile.impl with type parameters of type Assertion
Modifier and Type
Field
Description
`private List<Assertion>`
AddNameIdentifierToSubjects.`assertions`
Assertions to modify.
`private Function<ProfileRequestContext,List<Assertion>>`
AddNameIdentifierToSubjects.`assertionsLookupStrategy`
Strategy used to locate the `Assertion`s to operate on.
Methods in org.opensaml.saml.saml1.profile.impl that return types with arguments of type Assertion
Modifier and Type
Method
Description
`List<Assertion>`
AddNameIdentifierToSubjects.AssertionStrategy.`apply(ProfileRequestContext input)`
Method parameters in org.opensaml.saml.saml1.profile.impl with type arguments of type Assertion
Modifier and Type
Method
Description
`void`
AddNameIdentifierToSubjects.`setAssertionsLookupStrategy(Function<ProfileRequestContext,List<Assertion>> strategy)`
Set the strategy used to locate the `Assertion`s to operate on.

## Uses of Assertion in org.opensaml.saml.saml1.testing

Methods in org.opensaml.saml.saml1.testing that return Assertion
Modifier and Type
Method
Description
`static Assertion`
SAML1ActionTestingSupport.`buildAssertion()`
Builds an empty assertion.